0

I installed pgAdmin4 follow mainly instruction from this site http://www.nixgyd.com/install-pgadmin4-ubuntu-18-04-server-mode/392 but I have to change some directions because I got problems.

Finally almmos all work and ran sudo python pgAdmin4.py

and I got

usr/local/lib/python2.7/dist-packages/psycopg2/init.py:144: UserWarning: The psycopg2 wheel package will be renamed from release 2.8; in order to keep installing from binary please use "pip install psycopg2-binary" instead. For details see: http://initd.org/psycopg/docs/install.html#binary-install-from-pypi. """) Starting pgAdmin 4. Please navigate to http://127.0.0.1:5050 in your browser

.

but when I did the request to http://127.0.0.1:5050 I got an internal server error:

2018-06-21 22:05:00,758: ERROR  werkzeug:   Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/dist-packages/werkzeug/serving.py", line 270, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python2.7/dist-packages/werkzeug/serving.py", line 258, in execute
    application_iter = app(environ, start_response)
  File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1997, in __call__
    return self.wsgi_app(environ, start_response)
  File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1985, in wsgi_app
    response = self.handle_exception(e)
  File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1540, in handle_exception
    reraise(exc_type, exc_value, tb)
  File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1982, in wsgi_app
    response = self.full_dispatch_request()
  File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1614, in full_dispatch_request
    rv = self.handle_user_exception(e)
  File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1517, in handle_user_exception
    reraise(exc_type, exc_value, tb)
  File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1612, in full_dispatch_request
    rv = self.dispatch_request()
  File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1598, in dispatch_request
    return self.view_functions[rule.endpoint](**req.view_args)
  File "/usr/local/lib/python2.7/dist-packages/flask_login.py", line 791, in decorated_view
    return current_app.login_manager.unauthorized()
  File "/usr/local/lib/python2.7/dist-packages/flask_login.py", line 219, in unauthorized
    flash(self.localize_callback(self.login_message),
  File "/usr/local/lib/python2.7/dist-packages/werkzeug/local.py", line 375, in <lambda>
    __call__ = lambda x, *a, **kw: x._get_current_object()(*a, **kw)
  File "/usr/local/lib/python2.7/dist-packages/flask_babelex/__init__.py", line 533, in gettext
    t = self.get_translations()
  File "/usr/local/lib/python2.7/dist-packages/flask_babelex/__init__.py", line 510, in get_translations
    locale = get_locale()
  File "/usr/local/lib/python2.7/dist-nepackages/flask_babelex/__init__.py", line 224, in get_locale
    locale = babel.load_locale(rv)
AttributeError: 'Babel' object has no attribute 'load_locale'

I saw someone that have the same issue in a forum of postgresql but nobody answer and he only say

wrong dependencies.

https://www.postgresql.org/message-id/CAKyzeV0-yQw1YrTQOy1-JG4tyeMbBOM1nYfRnJ_L-LKmosxSZA%40mail.gmail.com

Any idea abou how to solve this issue???

Any suggestion is well received.

thanks in advance.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.